CVE-2022-21213

Prototype Pollution in mout in npm/mout

Identifiers

GHSA-vvv8-xw5f-3f88, CVE-2022-21213

Package Slug

npm/mout

Vulnerability

Prototype Pollution in mout

Description

This affects all versions of package mout. The deepFillIn function can be used to 'fill missing properties recursively', while the deepMixIn mixes objects into the target object, recursively mixing existing child objects as well. In both cases, the key used to access the target object recursively is not checked, leading to exploiting this vulnerability. Note: This vulnerability derives from an incomplete fix of CVE-2020-7792.

Affected Versions

All versions up to 1.2.3

Solution

Unfortunately, there is no solution available yet.

Last Modified

2022-06-21

source